Orxonox: orxonox::Loader Class Reference

# orxonox::Loader Class Reference

`#include <src/core/Loader.h>`

List of all members.

## Static Public Member Functions

static void | add (const XMLFile *file, const ClassTreeMask &mask=ClassTreeMask())
static void | close (const XMLFile *file)
static void | close ()
static std::vector< std::string > | getLevelList ()
static bool | load (const XMLFile *file, const ClassTreeMask &mask=ClassTreeMask())
static bool | load (const ClassTreeMask &mask=ClassTreeMask())
static bool | open (const XMLFile *file, const ClassTreeMask &mask=ClassTreeMask())
static bool | reload (const XMLFile *file, const ClassTreeMask &mask=ClassTreeMask())
static bool | reload (const ClassTreeMask &mask=ClassTreeMask())
static void | remove (const XMLFile *file)
static void | unload (const XMLFile *file, const ClassTreeMask &mask=ClassTreeMask())
static void | unload (const ClassTreeMask &mask=ClassTreeMask())

## Static Public Attributes

static ClassTreeMask | currentMask_s

## Static Private Attributes

static std::vector< std::pair < const XMLFile *, ClassTreeMask > > | files_s

## Member Function Documentation

void orxonox::Loader::add | ( | const XMLFile * | file,
|  | const ClassTreeMask & | mask = `ClassTreeMask()` |
| ) |  |  | `[static]`

References files_s.

Referenced by open().

void orxonox::Loader::close | ( | const XMLFile * | file | ) | `[static]`

References remove(), and unload().

void orxonox::Loader::close | ( |  | ) | `[static]`

References files_s, and unload().

std::vector< std::string > orxonox::Loader::getLevelList | ( |  | ) | `[static]`

References orxonox::Core::getMediaPathString().

Referenced by orxonox::GUIManager::getLevelList().

bool orxonox::Loader::load | ( | const XMLFile * | file,
|  | const ClassTreeMask & | mask = `ClassTreeMask()` |
| ) |  |  | `[static]`

References orxonox::LuaBind::clearLuaOutput(), COUT, currentMask_s, orxonox::XMLFile::getFilename(), orxonox::LuaBind::getInstance(), orxonox::LuaBind::getLuaOutput(), orxonox::XMLFile::getMask(), orxonox::LuaBind::loadFile(), orxonox::XMLPort::LoadObject, orxonox::LuaBind::run(), orxonox::BaseObject::setFile(), orxonox::BaseObject::setLoaderIndentation(), orxonox::BaseObject::setNamespace(), orxonox::Namespace::setRoot(), orxonox::Namespace::toString(), orxonox::Exception::what(), and orxonox::Namespace::XMLPort().

bool orxonox::Loader::load | ( | const ClassTreeMask & | mask = `ClassTreeMask()` | ) | `[static]`

References files_s.

Referenced by open(), and reload().

bool orxonox::Loader::open | ( | const XMLFile * | file,
|  | const ClassTreeMask & | mask = `ClassTreeMask()` |
| ) |  |  | `[static]`

References add(), and load().

Referenced by orxonox::GSGraphics::activate(), orxonox::GSLevel::loadLevel(), and orxonox::Level::networkcallback_applyXMLFile().

bool orxonox::Loader::reload | ( | const XMLFile * | file,
|  | const ClassTreeMask & | mask = `ClassTreeMask()` |
| ) |  |  | `[static]`

References load(), and unload().

bool orxonox::Loader::reload | ( | const ClassTreeMask & | mask = `ClassTreeMask()` | ) | `[static]`

References load(), and unload().

void orxonox::Loader::remove | ( | const XMLFile * | file | ) | `[static]`

References files_s.

Referenced by close().

void orxonox::Loader::unload | ( | const XMLFile * | file,
|  | const ClassTreeMask & | mask = `ClassTreeMask()` |
| ) |  |  | `[static]`

References orxonox::ClassTreeMask::isIncluded().

void orxonox::Loader::unload | ( | const ClassTreeMask & | mask = `ClassTreeMask()` | ) | `[static]`

References orxonox::ClassTreeMask::isIncluded().

Referenced by close(), orxonox::GSGraphics::deactivate(), reload(), and orxonox::Level::~Level().

## Member Data Documentation

ClassTreeMask orxonox::Loader::currentMask_s`[static]`

Referenced by orxonox::XMLPortObjectContainer::identifierIsIncludedInLoaderMask(), and load().

std::vector< std::pair< const XMLFile *, ClassTreeMask > > orxonox::Loader::files_s`[static, private]`

Referenced by add(), close(), load(), and remove().

The documentation for this class was generated from the following files:

- src/core/Loader.h
- src/core/Loader.cc